
/***************************************************************************

    This file is part of Zochova, Copyright 2009 Gabor Buella.

    Zochova is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Zochova is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Zochova.  If not, see <http://www.gnu.org/licenses/>.

***************************************************************************/

#pragma once

#include "low_level.h"

#ifdef _MSC_VER
#pragma warning(push, 3)
#pragma warning(push)
#pragma warning(disable : ALL_CODE_ANALYSIS_WARNINGS )
#pragma warning(disable : 4985)
#endif

#include "boost/lambda/lambda.hpp"
#include "boost/lambda/if.hpp"

#ifdef _MSC_VER
#pragma warning(pop)
#pragma warning(pop)
#endif

// workaround for the bind vs lamdba conflict
// http://lists.boost.org/Archives/boost/2004/11/76822.php
namespace
{
	boost::lambda::placeholder1_type& L_1 = boost::lambda::_1;
	boost::lambda::placeholder2_type& L_2 = boost::lambda::_2;
	boost::lambda::placeholder3_type& L_3 = boost::lambda::_3;
}
